CreatePaymentManager
Creates a new payment manager in your AWS account. A payment manager serves as the top-level resource for managing payment processing capabilities, including payment connectors that integrate with supported payment providers.
If you specify CUSTOM_JWT as the authorizerType, you must provide an authorizerConfiguration.
Request Syntax
POST /payments/managers HTTP/1.1
Content-type: application/json
{
"authorizerConfiguration": { ... },
"authorizerType": "string",
"clientToken": "string",
"description": "string",
"name": "string",
"roleArn": "string",
"tags": {
"string" : "string"
}
}
URI Request Parameters
The request does not use any URI parameters.
Request Body
The request accepts the following data in JSON format.
-
The authorizer configuration for the payment manager.
Type: AuthorizerConfiguration object
Note: This object is a Union. Only one member of this object can be specified or returned.
Required: No
-
The type of authorizer to use for the payment manager.
-
CUSTOM_JWT- Authorize with a bearer token. -
AWS_IAM- Authorize with your AWS IAM credentials.
Type: String
Valid Values:
CUSTOM_JWT | AWS_IAMRequired: Yes
-
- clientToken
-
A unique, case-sensitive identifier to ensure that the API request completes no more than one time. If you don't specify this field, a value is randomly generated for you. If this token matches a previous request, the service ignores the request, but doesn't return an error. For more information, see Ensuring idempotency.
Type: String
Length Constraints: Minimum length of 33. Maximum length of 256.
Pattern:
[a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}Required: No
- description
-
A description of the payment manager.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 4096.
Pattern:
[a-zA-Z0-9\s]+Required: No
- name
-
The name of the payment manager.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 48.
Pattern:
[a-zA-Z][a-zA-Z0-9]{0,47}Required: Yes
- roleArn
-
The Amazon Resource Name (ARN) of the IAM role that the payment manager assumes to access resources on your behalf.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
arn:aws(-[^:]+)?:iam::([0-9]{12})?:role/.+Required: Yes
-
A map of tag keys and values to assign to the payment manager.
Type: String to string map
Map Entries: Minimum number of 0 items. Maximum number of 50 items.
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Key Pattern:
[a-zA-Z0-9\s._:/=+@-]*Value Length Constraints: Minimum length of 0. Maximum length of 256.
Value Pattern:
[a-zA-Z0-9\s._:/=+@-]*Required: No
Response Syntax
HTTP/1.1 202
Content-type: application/json
{
"authorizerConfiguration": { ... },
"authorizerType": "string",
"createdAt": "string",
"name": "string",
"paymentManagerArn": "string",
"paymentManagerId": "string",
"roleArn": "string",
"status": "string",
"tags": {
"string" : "string"
},
"workloadIdentityDetails": {
"workloadIdentityArn": "string"
}
}
Response Elements
If the action is successful, the service sends back an HTTP 202 response.
The following data is returned in JSON format by the service.
-
Represents inbound authorization configuration options used to authenticate incoming requests.
Type: AuthorizerConfiguration object
Note: This object is a Union. Only one member of this object can be specified or returned.
-
The type of authorizer for the created payment manager.
Type: String
Valid Values:
CUSTOM_JWT | AWS_IAM - createdAt
-
The timestamp when the payment manager was created.
Type: Timestamp
- name
-
The name of the created payment manager.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 48.
Pattern:
[a-zA-Z][a-zA-Z0-9]{0,47} - paymentManagerArn
-
The Amazon Resource Name (ARN) of the created payment manager.
Type: String
Length Constraints: Minimum length of 66. Maximum length of 2048.
Pattern:
arn:(-[^:]+)?:bedrock-agentcore:[a-z0-9-]+:[0-9]{12}:payment-manager/([0-9a-z][-]?){1,48}-[a-z0-9]{10} - paymentManagerId
-
The unique identifier of the created payment manager.
Type: String
Length Constraints: Minimum length of 12. Maximum length of 211.
Pattern:
([0-9a-z][-]?){1,100}-[0-9a-z]{10} - roleArn
-
The Amazon Resource Name (ARN) of the IAM role associated with the created payment manager.
Type: String
Length Constraints: Minimum length of 1. Maximum length of 2048.
Pattern:
arn:aws(-[^:]+)?:iam::([0-9]{12})?:role/.+ - status
-
The current status of the payment manager. Possible values include
CREATING,READY,UPDATING,DELETING,CREATE_FAILED,UPDATE_FAILED, andDELETE_FAILED.Type: String
Valid Values:
CREATING | UPDATING | DELETING | READY | CREATE_FAILED | UPDATE_FAILED | DELETE_FAILED -
The tags associated with the created payment manager.
Type: String to string map
Map Entries: Minimum number of 0 items. Maximum number of 50 items.
Key Length Constraints: Minimum length of 1. Maximum length of 128.
Key Pattern:
[a-zA-Z0-9\s._:/=+@-]*Value Length Constraints: Minimum length of 0. Maximum length of 256.
Value Pattern:
[a-zA-Z0-9\s._:/=+@-]* - workloadIdentityDetails
-
The information about the workload identity.
Type: WorkloadIdentityDetails object
Errors
For information about the errors that are common to all actions, see Common Error Types.
- AccessDeniedException
-
This exception is thrown when a request is denied per access permissions
HTTP Status Code: 403
- ConflictException
-
This exception is thrown when there is a conflict performing an operation
HTTP Status Code: 409
- InternalServerException
-
This exception is thrown if there was an unexpected error during processing of request
HTTP Status Code: 500
- ServiceQuotaExceededException
-
This exception is thrown when a request is made beyond the service quota
HTTP Status Code: 402
- ThrottlingException
-
This exception is thrown when the number of requests exceeds the limit
HTTP Status Code: 429
- ValidationException
-
The input fails to satisfy the constraints specified by the service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: